
enum battery {
	BAT_GOOD = 0,
	BAT_LOW = 1,
	BAT_DISABLED = 2,
	BAT_IGNORE = 3,
};
typedef enum battery battery;
bool_t xdr_battery();

#define MAX_BATTERIES 8

enum prstates {
	PRDOWN = 0,
	PRUP = 1,
	PRERROR = 2,
};
typedef enum prstates prstates;
bool_t xdr_prstates();


struct io {
	u_int total;
	u_int hitclean;
	u_int hitdirty;
	u_int pass;
	u_int alloc;
};
typedef struct io io;
bool_t xdr_io();


struct presto_status {
	prstates pr_state;
	u_int pr_battcnt;
	battery pr_batt[MAX_BATTERIES];
	u_int pr_maxsize;
	u_int pr_cursize;
	u_int pr_ndirty;
	u_int pr_nclean;
	u_int pr_ninval;
	u_int pr_nactive;
	io pr_rdstats;
	io pr_wrstats;
	u_int pr_seconds;
};
typedef struct presto_status presto_status;
bool_t xdr_presto_status();


struct presto_modstat {
	bool_t ps_status;
	union {
		char *u_ps_errmsg;
		struct presto_status u_ps_new;
	} presto_modstat_u;
};
#define ps_errmsg presto_modstat_u.u_ps_errmsg
#define ps_new presto_modstat_u.u_ps_new
typedef struct presto_modstat presto_modstat;
bool_t xdr_presto_modstat();


struct presto_fs_status {
	bool_t pfs_prestoized;
	prstates pfs_state;
	bool_t pfs_enabled;
	bool_t pfs_bounceio;
	bool_t pfs_unused;
};
typedef struct presto_fs_status presto_fs_status;
bool_t xdr_presto_fs_status();


struct presto_get_fs_status {
	bool_t succeeded;
	union {
		char *u_errmsg;
		presto_fs_status u_status;
	} presto_get_fs_status_u;
};
#define errmsg presto_get_fs_status_u.u_errmsg
#define status presto_get_fs_status_u.u_status
typedef struct presto_get_fs_status presto_get_fs_status;
bool_t xdr_presto_get_fs_status();


#define PRESTOCTLPROG ((u_long)390100)

#define PRESTOCTLVERS ((u_long)3)
#define PRESTOCTL_GETSTATE ((u_long)1)
extern presto_modstat *clntprestoctl_getstate_3();
extern presto_modstat *svcprestoctl_getstate_3();
#define PRESTOCTL_SETBYTES ((u_long)2)
extern presto_modstat *clntprestoctl_setbytes_3();
extern presto_modstat *svcprestoctl_setbytes_3();
#define PRESTOCTL_TOGGLE ((u_long)3)
extern presto_modstat *clntprestoctl_toggle_3();
extern presto_modstat *svcprestoctl_toggle_3();
#define PRESTOCTL_GET_FS_STATUS ((u_long)4)
extern presto_get_fs_status *clntprestoctl_get_fs_status_3();
extern presto_get_fs_status *svcprestoctl_get_fs_status_3();

